### Hierarchy

- unknown
  - GetBestAvailableConnectionReply

## Index

### Constructors

- constructor

### Methods

- clearConnection
- getConnection
- hasConnection
- serializeBinary
- setConnection
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetBestAvailableConnectionReply(): GetBestAvailableConnectionReply

- Inherited from jspb.Message.constructor

  #### Returns GetBestAvailableConnectionReply

## Methods

### clearConnection

- clearConnection(): GetBestAvailableConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:1133

  #### Returns GetBestAvailableConnectionReply

### getConnection

- getConnection(): undefined | UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:1130

  #### Returns undefined | UrlConnection

### hasConnection

- hasConnection(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1132

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1135

  #### Returns Uint8Array

### setConnection

- setConnection(value?: UrlConnection ): GetBestAvailableConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:1131

  #### Parameters

  - ##### Optional value: UrlConnection

  #### Returns GetBestAvailableConnectionReply

### toObject

- toObject(includeInstance?: boolean): GetBestAvailableConnectionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1136

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetBestAvailableConnectionReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetBestAvailableConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:1139

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetBestAvailableConnectionReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetBestAvailableConnectionReply, reader: BinaryReader): GetBestAvailableConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:1140

  #### Parameters

  - ##### message: GetBestAvailableConnectionReply

  - ##### reader: BinaryReader

  #### Returns GetBestAvailableConnectionReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetBestAvailableConnectionReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1138

  #### Parameters

  - ##### message: GetBestAvailableConnectionReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetBestAvailableConnectionReply ): GetBestAvailableConnectionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1137

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetBestAvailableConnectionReply

  #### Returns GetBestAvailableConnectionReply . AsObject

Generated using TypeDoc